<%--
/*
 * JSP for displaying a Advanced Query
 * 
 * Copyright 2002-2004 by Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.grid.arco.web.arcomodule.QueryViewBean">

<!-- Header -->
<cc:header name="Header"
 pageTitle="application.title"
 copyrightYear="2004"
 baseName="com.sun.grid.arco.web.arcomodule.Resources"
 bundleID="arcoBundle"
 onLoad="">

 
<cc:form name="arcoForm" method="post">



<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="arcoBundle" />

<div class="ConMgn">  
<cc:alertinline name="Alert" bundleID="arcoBundle"/>
</div>

<cc:breadcrumbs name="BreadCrumb" bundleID="arcoBundle" />

<cc:pagetitle name="PageTitle" bundleID="arcoBundle"
    pageTitleText="query.pagetitleText"
    showPageTitleSeparator="true"
    pageTitleHelpMessage="query.pagetitle.pagehelp"
    showPageButtonsTop="true"
    showPageButtonsBottom="true">

<script type="text/javascript" src="/com_sun_web_ui/js/browserVersion.js"></script>
<script type="text/javascript" src="/com_sun_web_ui/js/dynamic.js"></script>    
<script type="text/javascript" src="../js/arco.js"></script>
    
<script type="text/javascript"> 

  function setDirty() {
      <cc:text name="setDirtyJavaScript"/>
  }
  

  /**
   * This function is call if in the SimpleTab the onChange event of the
   * table/view DropDownMenu occurs.
   */
  function changeTableConfirm() {

     if( window.confirm("When changing the table/view all fields and filters\nwill be deleted!\nContinue?") ) {
        var f=document.arcoForm;        
        if (f != null) {
           f.action='../arcomodule/Query?Query.SimpleTab.tableChangedHref=';
           f.submit();
        }
     } else {
        var tableValueSelect = ccGetElement('Query.SimpleTab.tableValue','arcoForm');
        var orgTableValue = ccGetElement('Query.SimpleTab.orgTableValue','arcoForm');
        var i;
        var len;
        var eq;
        
        len = tableValueSelect.options.length;
        for( i = 0; i < len; i++ ) {
           if( tableValueSelect.options[i].value == orgTableValue.value ) {
               var orgOnChange = tableValueSelect.onChange;
               tableValueSelect.onChange = null;
               tableValueSelect.selectedIndex = i;
               tableValueSelect.onChange = orgOnChange;
               break;
           }
        }
     }
  }
  
  function toggleButtons() {
       toggleFieldButtons();
       toggleFilterButtons();
       toggleViewTableButtons();
       toggleViewPivotButtons();
  }
  
   function toggleFieldButtons() {
      var buttons = ["Query.SimpleTab.EditFieldButton",
                     "Query.SimpleTab.RemoveFieldButton"];
      toggleDisabledState('Query.SimpleTab.fieldValue',buttons);
   }

   function toggleFilterButtons() {
      var buttons = ["Query.SimpleTab.EditFilterButton",
                     "Query.SimpleTab.RemoveFilterButton"];
      toggleDisabledState('Query.SimpleTab.filterValue',buttons);
   }

   function toggleViewTableButtons() {
      var buttons = ["Query.ViewTab.RemoveViewTableRowButton"];
      toggleDisabledState('Query.ViewTab.viewTable',buttons);
   }
   
   function toggleViewPivotButtons() {
      var buttons = ["Query.ViewTab.RemoveViewPivotButton"];
      toggleDisabledState('Query.ViewTab.pivotTable',buttons);
   }
   
   
   function saveAs() {   
      var prompt_result = prompt("Enter the new query name:", "");
      if( prompt_result != null ) {
        var f=document.arcoForm; 
        if( f != null ) {
           var saveAsNameField = ccGetElement( 'Query.SaveAsQueryName', f.name );
           saveAsNameField.value = prompt_result;
           return true;
        }
      } else {
        return false;
      }
   }
  
</script>
    
<cc:hidden name="SaveAsQueryName"/>
<cc:hidden name="LastVisitedTab"/>

<br>    
<div class="ConMgn">    

<!-- Navigation Tabs -->
<cc:tabs name="Tabs" bundleID="arcoBundle" submitFormData="true"/>

<jato:content name="sqlTabContent">
   <jato:containerView name="SQLTab">
      <cc:propertysheet name="SqlPropertySheet" 
          bundleID="arcoBundle" 
          showJumpLinks="true"
          addJavaScript="true" />
   </jato:containerView>
   
</jato:content>
  
<jato:content name="commonTabContent">
   <jato:containerView name="CommonTab">
      <cc:propertysheet name="CommonPropertySheet" 
          bundleID="arcoBundle" 
          showJumpLinks="true"
          addJavaScript="true" />
   </jato:containerView>
</jato:content>

<jato:content name="simpleTabContent">
   <jato:containerView name="SimpleTab">
      <cc:propertysheet name="SimplePropertySheet" 
          bundleID="arcoBundle" 
          showJumpLinks="true"
          addJavaScript="true" />
   </jato:containerView>
</jato:content>

<jato:content name="viewTabContent">

   <jato:containerView name="ViewTab">
      <cc:hidden name="numberFormatField"/>
      <cc:hidden name="dateFormatField"/>
      <cc:propertysheet name="ViewPropertySheet" 
          bundleID="arcoBundle" 
          showJumpLinks="true"
          addJavaScript="true" />
   </jato:containerView>
</jato:content>
  
</div>
</cc:pagetitle>
</cc:form>
</cc:header>
</jato:useViewBean>
